# $Revision: 1.156.2.5 $, $Date: 2008-05-26 14:55:27 $
# TODO:
# - support for Oracle and Sybase
# - Support SQLite and Oracle in all SQL configurations.
# - LDAP and memcached session handlers.
# - remove config/ (and others in apache.conf) from document root, so
#   apache deny from all not needed.
# - put docs/CREDITS to package, rather in doc (so installations with
#   --excludedocs have functional horde?)
# - patch prefs.xml to include default path to GeoIP /usr/share/GeoIP/GeoIP.dat
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
#
%define	_hordeapp horde
#define	_snap	2006-01-15
#define	_rc		rc1
%define	_rel	2
#
%include	/usr/lib/rpm/macros.php
Summary:	The common Horde Framework for all Horde modules
Summary(es):	Elementos bsicos do Horde Web Application Suite
Summary(pl):	Wsplny szkielet Horde do wszystkich moduw Horde
Summary(pt_BR):	Componentes comuns do Horde usados por todos os mdulos
Name:		%{_hordeapp}
Version:	3.1.7
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	LGPL
Group:		Applications/WWW
#Source0:	ftp://ftp.horde.org/pub/snaps/%{_snap}/%{_hordeapp}-FRAMEWORK_3-%{_snap}.tar.gz
#Source0:	ftp://ftp.horde.org/pub/horde/%{_hordeapp}-%{version}-%{_rc}.tar.gz
Source0:	ftp://ftp.horde.org/pub/horde/%{name}-%{version}.tar.gz
# Source0-md5:	c0e693f88d95e395671abbff2ab6df53
Source1:	%{name}.conf
Source2:	%{name}-lighttpd.conf
Patch0:		%{name}-path.patch
Patch1:		%{name}-shell.disabled.patch
Patch2:		%{name}-util-h3.patch
Patch3:		%{name}-blank-admins.patch
Patch4:		%{name}-config-xml.patch
Patch5:		%{name}-mime_drivers.patch
Patch100:	%{name}-branch.diff
URL:		http://www.horde.org/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.304
BuildRequires:	tar >= 1:1.15.1
%if %{with autodeps}
BuildRequires:	php-pear-Crypt_Rc4
BuildRequires:	php-pear-DB
BuildRequires:	php-pear-Date
BuildRequires:	php-pear-File
BuildRequires:	php-pear-HTTP_Request
BuildRequires:	php-pear-HTTP_WebDAV_Server
BuildRequires:	php-pear-Log
BuildRequires:	php-pear-Mail
BuildRequires:	php-pear-Mail_Mime
BuildRequires:	php-pear-Net_IMAP
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-SOAP
BuildRequires:	php-pear-Services_Weather
BuildRequires:	php-pear-VFS
BuildRequires:	php-pear-XML_SVG
%endif
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
# Requires: php-pear-DB >= 1.6.0 if database_used
# Requires: php-pear-Date if import calendar data is accessed
# Requires: php-pear-File if import csv wanted
# Requires: php-pear-Services_Weather if weather.com service block is used in portal.
# Requires: php-pear-{Log,Mail,Mail_Mime}
Requires:	php(domxml)
Requires:	php(gettext)
Requires:	php(imap)
Requires:	php(mcrypt)
Requires:	php(pcre)
Requires:	php(posix)
Requires:	php(session)
Requires:	php(xml)
Requires:	php(zlib)
Requires:	webserver(php) >= 4.1.0
# Suggests: php-pecl-fileinfo || (deprecated)php-mime_magic
# Suggests: php-pecl-memcache if memcached SessionHandler is used
# Suggests: smtpserver(for /usr/lib/sendmail) || smtp server
# for mime_drivers.php
#Suggests:	source-highlight
#Suggests:	enscript
#Suggests:	wv
#Suggests:	xlhtml
#Suggests:	dpkg
Requires:	webapps
Obsoletes:	horde-mysql
Obsoletes:	horde-pgsql
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# horde accesses it directly in help->about
%define		_noautocompressdoc  CREDITS
%define		_noautoreq	'pear(XML/WBXML.*)' 'pear(Horde.*)' 'pear(SyncML.*)' 'pear(Text/.*)' 'pear(Net/IMSP.*)' 'pear(XML/sql2xml.php)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}
%define		_webapps	/etc/webapps
%define		_webapp		%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		schemadir	/usr/share/openldap/schema

%description
The Horde Framework provides a common structure and interface for
Horde modules (such as IMP, a web-based mail program). This RPM is
required for all other Horde module RPMS.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with Horde and its modules) please visit <http://www.horde.org/>.

%description -l pl
Szkielet Horde dostarcza wspln struktur oraz interfejs dla moduw
Horde, takich jak IMP (obsuga poczty poprzez WWW). Ten pakiet jest
wymagany dla wszystkich innych moduw Horde.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Wicej informacji (wcznie z pomoc dla Horde
i jego moduw) mona znale na stronie <http://www.horde.org/>.

%description -l pt_BR
Este pacote prov uma interface e estrutura comuns para os mdulos
Horde (como IMP, um programa de webmail) e  requerido por todos os
outros mdulos Horde.

O Projeto Horde  constitudo por diversos aplicativos web escritos em
PHP, todos liberados sob a GPL. Para mais informaes (incluindo ajuda
com relao ao Horde e seus mdulos), por favor visite
<http://www.horde.org/>.

%package -n openldap-schema-horde
Summary:	Horde LDAP schema
Summary(pl):	Schemat LDAP dla Horde
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-schema-rfc2739
Requires:	openldap-servers
Requires:	sed >= 4.0

%description -n openldap-schema-horde
This package contains horde.schema for openldap.

%description -n openldap-schema-horde -l pl
Ten pakiet zawiera horde.schema dla pakietu openldap.

%prep
%setup -qcT -n %{?_snap:%{name}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1
#%patch100 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

rm -f {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%patch5 -p1

# Described in documentation as dangerous file...
rm test.php

# remove backup files from patching
find '(' -name '*~' -o -name '*.orig' ')' | xargs -r rm -v

# enable if you want to update patch0
%if 0
sed -i -e "
s#dirname(__FILE__) . '/..#'%{hordedir}#g
" config/registry.php.dist
exit 1
%endif

cat > README.PLD << 'EOF'
IMPORTANT:
Default horde installation will auto authorize You as Administrator, but due to
security concerns the Administrator is not granted Administrator privileges.
If You want to add Yourself to admins list (to administer Horde via web
interface), please change %{_sysconfdir}/conf.php:
$conf['auth']['admins'] = array('Administrator');

Depending on authorization You choose, You need to create Horde database tables.
Look into directory %{_docdir}/%{name}-%{version}/scripts/sql
to find out how to do this for Your database.

If You've chosen LDAP authorization, please install php-ldap package.
To configure your openldap server to use horde schema, install
openldap-schema-horde package.

NOTE: You don't need SQL database for Authorization if You use LDAP for authorization.

If you want to use MaxMind GeoIP Hostname Country lookup, install
GeoIP package and go to:

Configuration -> Horde -> Hostname -> Country Lookup and set GeoIP.dat path to: %{_datadir}/GeoIP/GeoIP.dat

EOF
# '

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs,/var/{lib,log}/horde,%{schemadir}}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a admin js services lib locale templates themes $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
ln -s %{_docdir}/%{name}-%{version}/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

> $RPM_BUILD_ROOT/var/log/horde/%{_hordeapp}.log
install scripts/ldap/horde.schema $RPM_BUILD_ROOT%{schemadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<'EOF'
Please read README.PLD from documentation.
EOF

fi

%post -n openldap-schema-horde
%openldap_schema_register %{schemadir}/horde.schema -d core,rfc2739
%service -q ldap restart

%postun -n openldap-schema-horde
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/horde.schema
	%service -q ldap restart
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- horde < 3.0.7-1.4
for i in conf.php hooks.php mime_drivers.php motd.php nls.php prefs.php registry.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
	rm -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave
fi

if [ -L /etc/apache/conf.d/99_horde.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README README.PLD scripts util
%doc docs/{CHANGES,CODING_STANDARDS,CONTRIBUTING,CREDITS,HACKING,INSTALL}
%doc docs/{PERFORMANCE,RELEASE_NOTES,SECURITY,TODO,TRANSLATIONS,UPGRADING}
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/admin
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/services
%{_appdir}/templates
%{_appdir}/themes

%dir %attr(770,root,http) /var/log/horde
%dir %attr(770,root,http) /var/lib/horde
%ghost %attr(770,root,http) /var/log/horde/%{_hordeapp}.log

%files -n openldap-schema-horde
%defattr(644,root,root,755)
%{schemadir}/*.schema

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde.spec,v $
Revision 1.156.2.5  2008-05-26 14:55:27  glen
- horde.schema depends on rfc2739.schema (from horde-turba) for calFBURL; rel 2

Revision 1.156.2.4  2008-03-10 09:00:12  glen
- 3.1.7 (security update)

Revision 1.156.2.3  2008-02-07 15:36:19  glen
- 3.1.6

Revision 1.156.2.2  2007-10-01 06:30:37  glen
- 3.1.5

Revision 1.156.2.1  2007/03/14 22:33:30  glen
- 3.1.4-release

Revision 1.156  2006/11/21 19:56:55  glen
- rel 3: use php(extension) virtuals

Revision 1.155  2006/10/01 17:16:40  glen
- rel 2

Revision 1.154  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.153  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.152  2006/08/20 09:13:10  paszczus
- updated to 3.1.3 (fixes a cross site scripting vulnerability and improves protection against phishing attempts)
- updated horde-path.patch

Revision 1.151  2006/07/08 11:32:31  glen
- updated mime patch

Revision 1.150  2006/07/06 09:18:44  paszczus
- updated to 3.1.2
- rel 0.1 (glen please update mime_conf.patch and STBR ASAP (security release)

Revision 1.149  2006/06/02 21:18:50  glen
- use %openldap_schema_{un,}register macros

Revision 1.148  2006/04/04 20:55:58  glen
- add cve refs to 3.1.1 version

Revision 1.147  2006/03/28 19:10:33  paszczus
- updated to 3.1.1, [resolves CVE-2006-1491,CVE-2006-1260]

Revision 1.146  2006/03/09 15:27:01  glen
- fix mime drivers

Revision 1.145  2006/03/07 00:08:15  glen
- rel 2

Revision 1.144  2006/03/06 22:11:32  paszczus
- updated to FINAL 3.1

Revision 1.143  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.142  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.141  2006/02/14 17:16:57  paszczus
- added lighttpd support

Revision 1.140  2006/02/14 13:17:19  paszczus
- updated to 3.1rc3

Revision 1.139  2006/02/14 00:35:40  glen
- rc2

Revision 1.138  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.137  2006/01/20 10:34:01  qboosh
- typo

Revision 1.136  2006/01/19 18:18:58  glen
- moved banner text to README.PLD

Revision 1.135  2006/01/15 15:28:50  glen
- fix leftovers

Revision 1.134  2006/01/14 10:47:17  glen
- back to rc1, using branch diff instead as snapshot doesn't contain all libraries and framework contains too many

Revision 1.133  2006/01/12 13:03:13  glen
- 2006-01-12 snap

Revision 1.132  2006/01/08 22:20:01  glen
- fix duplicate packaging

Revision 1.131  2006/01/08 20:26:34  glen
- use %service in triggers

Revision 1.130  2006/01/06 16:12:41  paszczus
- more _noautoreq

Revision 1.129  2006/01/06 15:58:26  paszczus
- updated to 3.1rc1
- updated horde-path.patch
- updated horde-shell.disabled.patch

Revision 1.128  2005/12/14 23:09:48  paszczus
- updated to 3.0.9

Revision 1.127  2005/12/11 22:53:36  paszczus
- updated to 3.0.8 (security update)

Revision 1.126  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.125  2005/12/02 16:07:59  glen
- rel 2

Revision 1.124  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.123  2005/11/30 21:58:06  glen
- use webapps framework
- older triggers killed (gets too complicated to maintain them)

Revision 1.122  2005/11/30 21:21:19  glen
- unify

Revision 1.121  2005/11/29 19:15:15  glen
- revert partial webapps implementation

Revision 1.120  2005/11/29 17:21:19  paszczus
- updated to 3.0.7
- updated horde-util-h3.patch
- release 1; STBR

Revision 1.119  2005/11/28 08:30:12  glen
- using webapps framework

Revision 1.118  2005/11/19 14:06:11  glen
- BR pear packages for autodeps

Revision 1.117  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.116  2005/10/29 07:43:47  paszczus
- updated to FINAL 3.0.6

Revision 1.115  2005/10/25 12:11:48  glen
- GeoIP is optional. really

Revision 1.114  2005/10/25 08:29:51  paszczus
- removed Source2: GeoIP.dat.gz
- added R: GeoIP

Revision 1.113  2005/10/24 21:40:58  glen
- optional sql2xml is still actual. registry paths are once again patched

Revision 1.112  2005/10/24 21:36:21  glen
- enabled patch0 and patch1

Revision 1.111  2005/10/18 08:40:54  paszczus
- started update to 3.0.6-rc1

Revision 1.110  2005/10/10 17:49:07  glen
- don't package backups, rel 4

Revision 1.109  2005/10/08 19:06:52  glen
- rel 3

Revision 1.108  2005/10/08 18:29:06  glen
- make XML/sql2xml.php dependency optional as that package is not compatible with php 5
- see also http://bugs.horde.org/ticket/?id=2748

Revision 1.107  2005/09/21 19:20:51  qboosh
- pl desc fix

Revision 1.106  2005/09/17 16:09:39  glen
- unified

Revision 1.105  2005/09/17 15:21:49  glen
- unify

Revision 1.104  2005/09/17 01:16:29  glen
- one more correction

Revision 1.103  2005/09/17 01:14:51  glen
- fix old apache conf.d migration trigger

Revision 1.102  2005/09/17 01:10:39  glen
- using %{_hordeapp} macro, cosmetics

Revision 1.101  2005/09/16 22:38:20  glen
- fix php epoch

Revision 1.100  2005/09/16 22:34:20  glen
- enable core.schema in -schema package

Revision 1.99  2005/09/15 15:34:21  glen
- add R sed on openldap-schema, as R(post,postun) is not enough, rel 2

Revision 1.98  2005/08/25 15:35:46  paszczus
- added GeoIP database

Revision 1.97  2005/08/25 12:59:58  paszczus
- release 1

Revision 1.96  2005/08/23 20:23:55  glen
- merged from DEVEL, updated to 3.0.5

Revision 1.95.2.9  2005/08/15 21:49:37  glen
- sorter BR/R with adapter

Revision 1.95.2.8  2005/08/15 21:31:19  glen
- adapter "friendly"

Revision 1.95.2.7  2005/07/31 10:52:01  glen
- include /var/lib/horde to package (one can store vfs tmp data there)

Revision 1.95.2.6  2005/07/31 10:40:45  glen
- use apache config triggers

Revision 1.95.2.5  2005/07/31 10:29:13  glen
- patch conf.xml, rather sed-ing

Revision 1.95.2.4  2005/07/16 14:22:34  glen
- 3.0.5-RC2

Revision 1.95.2.3  2005/07/13 07:00:23  glen
- TODO updated

Revision 1.95.2.2  2005/07/12 20:34:29  glen
- make df happy

Revision 1.95.2.1  2005/07/12 20:19:57  glen
- 3.0.5-rc1

Revision 1.95  2005/05/22 20:15:19  glen
- fix for Ticket #2013. rel 6; STBR

Revision 1.94  2005/05/17 18:03:53  glen
- write permission to log directory

Revision 1.93  2005/05/09 17:50:38  glen
- horde apps are all www applications (adjust group)

Revision 1.92  2005/05/09 17:26:15  glen
- enable MIMP
- rel 5
- STBR

Revision 1.91  2005/04/01 19:35:38  glen
- ldap choraPrefs fixed in upstream
- rel 4; STBR

Revision 1.90  2005/04/01 19:09:17  matipl
- rel 3; STBR

Revision 1.89  2005/04/01 19:06:50  matipl
- change Req php-dom to php-domxml who is in php 4 & 5 now

Revision 1.88  2005/03/30 12:29:48  matipl
- remove %if "%{_php5}" dom extension (in php4-domxml add Prov: php-dom)

Revision 1.87  2005/03/29 20:42:13  paszczus
- updated to 3.0.4
- STBR

Revision 1.86  2005/03/21 17:22:12  glen
- rel 3; STBR

Revision 1.85  2005/03/05 20:30:58  glen
- adapter friendly: define schemadir
- really apply schema horde.schema fix
- R: apache mod_access,mod_alias

Revision 1.84  2005/02/28 21:12:12  qboosh
- pl for schema package

Revision 1.83  2005/02/27 22:13:45  glen
- fix openldap-schema-horde deps and postun script
- fix broken horde.schema (missing choraPrefs)

Revision 1.82  2005/02/27 20:40:22  glen
- create openldap-schema-horde package

Revision 1.81  2005/02/27 19:30:05  glen
- do not make Administrator as admins by clean install
- %post message needs not to be wrapped by 70 chars
- update post message

Revision 1.80  2005/02/27 19:06:21  glen
- missing gzdeflate() resolved

Revision 1.79  2005/02/27 19:05:09  glen
- still, put conf.php.bak as %ghost, to avoid conf.php.bak.rpmnew files
- move util to %doc
- R: php-zip for lib/Horde/Image/png.php

Revision 1.78  2005/02/25 23:14:43  glen
- file security revisited: remove write permission on config directory and add .bak files as config

Revision 1.77  2005/02/25 22:59:16  glen
- unify with other horde apps

Revision 1.76  2005/02/25 22:12:12  glen
- add more doc
- fix log directory attrs
- add docs/CREDITS to package (help->about uses it)

Revision 1.75  2005/02/25 08:32:59  qboosh
- shellglob syntax fix

Revision 1.74  2005/02/25 00:31:54  glen
- strict apache version require (for confdir support)
- package conf.php.bak as ghost for clean uninstall
- keep write permission only on conf.php

Revision 1.73  2005/02/24 21:22:43  glen
- unified apache config location

Revision 1.72  2005/02/24 20:48:49  glen
- unlink from apache in postun rather in preun
- cosmetics
- remove write permission from .xml file (not needed imho)

Revision 1.71  2005/02/23 17:13:59  glen
- update post install message for the first time

Revision 1.70  2005/02/23 16:05:29  glen
- fix apache1 confdir trigger

Revision 1.69  2005/02/23 16:04:29  glen
- configure default app log to /var/log/horde and add that dir

Revision 1.68  2005/02/23 15:34:51  matipl
- security patch (disabled *shell) (thx glen)

Revision 1.67  2005/02/21 22:47:55  glen
- use virtual R: apache(mod_dir) (and use Requires, not PreReq, because PreReq just breaks poldek upgrade ordering)
- kill annoying upgrade message

Revision 1.66  2005/02/16 21:16:33  glen
- remove .dist files from config dir (they belong to %doc, if anywhere)
- apache config need not to be readable for http user
- .htaccess not needed, we supply apache main config

Revision 1.65  2005/02/16 19:42:00  glen
- fix last trigger

Revision 1.64  2005/02/16 19:34:45  glen
- trigger to copy old apache config to new location

Revision 1.63  2005/02/16 18:51:50  glen
- cleanup

Revision 1.62  2005/02/16 18:49:36  glen
- needs apache >= 1.3.33-3 for real apache version independance

Revision 1.61  2005/02/16 18:48:44  glen
- apache version independance
- use _sysconfdir macro
- update descriptions for url and dot issue
- fix path to sql scripts emited in post script

Revision 1.60  2005/02/13 22:46:52  matipl
- repair check php ver for requires XML (php-dom for 5 or php-domxml for 4)
- STBR

Revision 1.59  2005/02/13 15:58:31  paszczus
- updated to 3.0.3

Revision 1.58  2005/02/05 23:34:56  paszczus
- release 1
- STBR

Revision 1.57  2005/01/17 14:47:21  matipl
- chmod 770 for conf directory to save backups

Revision 1.56  2005/01/17 13:12:05  paszczus
- little clenups

Revision 1.55  2005/01/17 11:46:31  matipl
- last log should be:
- repair - add lost directories,files *.xml and change chmod to 660 for confs files

Revision 1.53  2005/01/08 12:57:37  paszczus
- updated to 3.0.2

Revision 1.52  2005/01/07 00:51:09  glen
- apache1 vs apache2

Revision 1.51  2005/01/04 21:54:14  paszczus
- updated to 3.0.1

Revision 1.50  2004/12/23 21:55:51  paszczus
- R are now fixed; release 0.2

Revision 1.49  2004/12/23 21:42:20  paszczus
- disable few other wrongly generated requires

Revision 1.48  2004/12/23 21:34:07  paszczus
- don't require pear(XML/WBXML.*)

Revision 1.47  2004/12/23 20:43:28  paszczus
- updated to 3.0
- there is full charset support (at last...)
- release 0.1

Revision 1.46.2.1  2004/12/12 23:04:51  paszczus
- updated to 3.0rc3

Revision 1.46  2004/11/11 08:49:42  paszczus
- release 3

Revision 1.45  2004/11/07 11:59:17  blues
- change location of configs by Mateusz Kamiski <matipl@ds.pg.gda.pl>

Revision 1.44  2004/10/29 07:24:44  blues
- updates by Mateusz Kamiski <matipl@ds.pg.gda.pl>

Revision 1.43  2004/10/28 18:45:59  blues
- moved to /usr/share by Mateusz Kamiski <matipl@ds.pg.gda.pl>

Revision 1.42  2004/10/27 21:08:44  qboosh
- pl for -addons-turba

Revision 1.41  2004/10/27 20:53:11  paszczus
- cleanups

Revision 1.40  2004/10/27 20:51:01  paszczus
- added TURBA plugin
- added addons-turba package
- release 2

Revision 1.39  2004/10/26 17:44:58  paszczus
- updated to 2.2.7: (A potential cross-site scripting vulnerability in the help window has been fixed)

Revision 1.38  2004/10/24 15:41:59  domelu
- todo: move from /home/services/httpd to /usr/share

Revision 1.37  2004/10/16 07:00:44  paladine
- www->WWW

Revision 1.36  2004/10/11 23:29:00  zergin
- replaced R: php-pear with php-pear-PEAR

Revision 1.35  2004/09/27 07:30:08  paszczus
- updated to 2.2.6

Revision 1.34  2004/08/26 13:26:01  averne
- updated htmldir, sent by glen

Revision 1.33  2004/04/18 18:36:41  averne
- updated to 2.2.5
- added R: php-pear-Log which is required

Revision 1.32  2003/10/14 21:30:31  ankry
- cosmetics

Revision 1.31  2003/10/14 20:36:49  qboosh
- pl fix

Revision 1.30  2003/09/10 08:15:32  mwinkler
- updated to 2.2.4
- addec missing doc/scripts

Revision 1.29  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/24 18:07:00  misi3k
- updated to 2.2.3
- removed source-fix patch (not needed)

Revision 1.25  2003/02/11 22:41:51  qboosh
- cosmetics or minor fixes where necessary

Revision 1.24  2002/12/07 19:09:42  orzech
- /home -> /home/services

Revision 1.23  2002/10/14 22:50:18  misto
- some source fixes - NOW WORKS
- release 1

Revision 1.22  2002/10/14 20:27:13  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 0.3

Revision 1.21.2.1  2002/10/11 22:04:31  misto
- modified for new pear requires/provides rpm scripts

Revision 1.21  2002/10/08 12:57:07  misto
- fixed XML_sql2xml class name. Now pear-requires are correct
- release 0.2

Revision 1.20  2002/08/18 17:28:33  blues
- missing files added

Revision 1.19  2002/08/18 17:04:22  blues
- 2.1 - release 0.1,
- Horde_Auth patch added - don't make conflicts with PEAR
- new doc
  NOTE: needs more work...

Revision 1.18  2002/05/20 16:47:56  blues
- 2.1RC3
- noreplace in files, removed non-existenz dir from install, more Req.

Revision 1.17  2002/04/29 17:50:29  blues
- release 2
- better metod of instalation
- added missing .htaccess files

Revision 1.16  2002/04/26 22:56:40  blues
- release 1
- works

Revision 1.15  2002/04/26 22:47:00  blues
- typo

Revision 1.14  2002/04/26 22:45:37  blues
- release 0.5, not 1 (temporary...)
- added Obsoletes

Revision 1.13  2002/04/26 22:34:03  blues
- 2.0
- spec rewritten, not tested yet

Revision 1.12  2002/04/25 16:33:57  arturs
- fixed a small typo

Revision 1.11  2002/03/23 15:40:50  kloczek
- release 2.

Revision 1.10  2002/03/23 15:15:11  blues
- more es descriptions

Revision 1.9  2002/03/23 15:13:21  blues
- translations from CNV

Revision 1.8  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.7  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/08/22 17:30:20  filon
- changed Prereq:/usr/bin/perl to perl

Revision 1.3  2001/07/27 18:24:55  blues
- 1.2.6
- translation added
- %pre/%post slightly adapted to PLD standards
  NOTE: this is security update. I'm not using this package, so check me...

Revision 1.2  2001/02/20 21:55:13  kloczek
- mostly stylistic changes.

Revision 1.1  2001/02/20 14:46:22  mkierus
- file from Horde.org with same changes:
- change Group to Appliocations/Mail,
- add dependences to modular php,
- change apacheuser and group to http
